Package org.eclipse.graphiti.pattern

# Interface ICustomAbortableUndoRedoPattern

All Superinterfaces:
  `ICustomUndoRedoPattern`

public interface ICustomAbortableUndoRedoPattern extends ICustomUndoRedoPattern
This interface can by used and implemented by customers within any pattern to signal the need for additional work that needs to be done before or after undo and redo. In addition to `ICustomUndoRedoPattern` this interface supports cancellation of undo/redo operations.

Since:
  0.12
See Also:
  - `ICustomUndoRedoPattern`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAbort()`
The Graphiti framework will call this method after
invalid reference

    #preUndo(org.eclipse.graphiti.features.context.IContext)

/
invalid reference

    #preRedo(org.eclipse.graphiti.features.context.IContext)

have been called and before the actual undo/redo operation is triggered.

### Methods inherited from interface org.eclipse.graphiti.pattern.ICustomUndoRedoPattern

`canRedo, canUndo, postRedo, postUndo, preRedo, preUndo`

## Method Details

### isAbort

boolean isAbort()
The Graphiti framework will call this method after
invalid reference

    #preUndo(org.eclipse.graphiti.features.context.IContext)

/
invalid reference

    #preRedo(org.eclipse.graphiti.features.context.IContext)

have been called and before the actual undo/redo operation is triggered. In case this method returns `true`, the operation will be cancelled by the Graphiti framework by throwing an
invalid reference

    OperationCanceledException

that causes am EMF revert of the operation.

Implementing classes might e.g. set a flag in

invalid reference

    #preUndo(org.eclipse.graphiti.features.context.IContext)

/
invalid reference

    #preRedo(org.eclipse.graphiti.features.context.IContext)

as cancellation indication and check that that flag here.

Returns:
  `true` in case you want to cancel the current operation, `false` otherwise.